import re
import socket
import sys
from celery import Celery
from celery.utils.log import get_task_logger

# Create the celery app and get the logger
celery_app = Celery('tasks', broker='pyamqp://guest@localhost//')
logger = get_task_logger(__name__)


@celery_app.task
def sent_to_printer(data: str, address: str, cut_code: str):
    print(data, address, cut_code)
    # try:
    #     regex = re.compile(r'pdl://(?P<host>[\w\d.-]+):(?P<port>[\d]+)')
    #     match = regex.match(address)
    #     s = socket.socket()
    #     s.connect((match.group("host"), int(match.group("port"))))
    #     s.send(bytearray(data + cut_code, "ascii"))
    # except LookupError as e:
    #     print("Lookup error:", e)
    # except:
    #     print("Unexpected error:", sys.exc_info()[0])
    # finally:
    #     s.close()

#  celery --app=barker.worker.celery_app worker -c 2 --loglevel=INFO