import uuid

import transaction
from pyramid.view import view_config

from barker.models import Reprint


@view_config(
    request_method="POST", route_name="v1_reprint", renderer="json", permission="Print Bill", trans=True,
)
def save(request):
    id_ = uuid.UUID(request.matchdict["id"])
    item = Reprint(id_, uuid.UUID(request.authenticated_userid))
    request.dbsession.add(item)
    transaction.commit()
    return True
