import { User } from '../core/user';

export class CashierReportPrintItem {
  date: string;
  billId: string;
  customer: string;
  amount: number;
}

export class CashierReportDisplayItem {
  name: string;
  amount: number;
}

export class CashierReport {
  startDate: string;
  finishDate: string;
  user: User;
  amounts?: CashierReportDisplayItem[];
  info?: CashierReportPrintItem[];
}
